Bug 25653 - Authorities search does not retain selection
Summary: Authorities search does not retain selection
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: MARC Authority data support (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-06-02 14:00 UTC by Nick Clemens
Modified: 2020-11-30 21:51 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
20.11.00, 20.05.01, 19.11.07, 19.05.12


Attachments
Bug 25653: Update tab selector to use 'active' and include all options (1.75 KB, patch)
2020-06-02 14:03 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 25653: Update tab selector to use 'active' and include all options (1.81 KB, patch)
2020-06-02 15:40 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 25653: Update tab selector to use 'active' and include all options (1.87 KB, patch)
2020-06-05 08:40 UTC, Julian Maurice
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2020-06-02 14:00:19 UTC
To recreate:
1 - Browse to Authorities
2 - Search in each tab
3 - Note all search results revert to 'Search main heading a only'
Comment 1 Nick Clemens 2020-06-02 14:03:07 UTC
Created attachment 105489 [details] [review]
Bug 25653: Update tab selector to use 'active' and include all options

It looks like the functionality was broken when ui tabs were upgraded and mainmainentry was added

To test:
1 - Browse to Authorities
2 - Search in each tab
3 - Note all search results revert to 'Search main heading a only'
4 - Apply patch
5 - Note selection is retained after search
Comment 2 Claire Gravely 2020-06-02 15:40:35 UTC
Created attachment 105495 [details] [review]
Bug 25653: Update tab selector to use 'active' and include all options

It looks like the functionality was broken when ui tabs were upgraded and mainmainentry was added

To test:
1 - Browse to Authorities
2 - Search in each tab
3 - Note all search results revert to 'Search main heading a only'
4 - Apply patch
5 - Note selection is retained after search

Signed-off-by: Claire Gravely <claire_gravely@hotmail.com>
Comment 3 Julian Maurice 2020-06-05 08:40:53 UTC
Created attachment 105570 [details] [review]
Bug 25653: Update tab selector to use 'active' and include all options

It looks like the functionality was broken when ui tabs were upgraded
and mainmainentry was added

To test:
1 - Browse to Authorities
2 - Search in each tab
3 - Note all search results revert to 'Search main heading a only'
4 - Apply patch
5 - Note selection is retained after search

Signed-off-by: Claire Gravely <claire_gravely@hotmail.com>
Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Comment 4 Julian Maurice 2020-06-05 08:42:34 UTC
THANK YOU! :)
This bug was so annoying...
Comment 5 Jonathan Druart 2020-06-12 12:17:48 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 6 Lucas Gass 2020-06-17 21:11:32 UTC
backported to 20.05.x for 20.05.01
Comment 7 Aleisha Amohia 2020-06-18 01:26:37 UTC
backported to 19.11.x for 19.11.07
Comment 8 Victor Grousset/tuxayo 2020-06-19 00:58:28 UTC
Backported to 19.05.x branch for 19.05.12